/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/


#include "turret_power_up.h"
#include "factory.h"

using namespace std;

CREATE_FACTORY(TurretPowerUp);


TurretPowerUp::TurretPowerUp ()
{
  this->init();
}

TurretPowerUp::TurretPowerUp(const TiXmlElement* root)
{
  this->init();

  this->loadParams(root);
}


TurretPowerUp::~TurretPowerUp () {}


void TurretPowerUp::init()
{
  this->setClassID(CL_TURRET_POWER_UP, "TurretPowerUp");
  this->loadModel("models/guns/turret1.obj");
}


void TurretPowerUp::loadParams(const TiXmlElement* root)
{
  static_cast<PowerUp*>(this)->loadParams(root);

}
